## lintian-brush 0.152ubuntu1

=== debian/changelog ===
lintian-brush (0.152ubuntu1) noble; urgency=medium

  [ Jelmer Vernooĳ ]
  * Bump pyo3 dependency to 0.20, fixing FTBFS. Closes: #1061435

  [ Jeremy Bícha ]
  * Add Build-Depends: librust-pyo3-file-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 Apr 2024 14:43:23 -0400

=== tests/debian-watch-file-is-missing/native/in/debian/changelog ===
xandikos (42.0-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 23 Apr 2019 21:18:48 +0000

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               debhelper (>= 13.5),
               debhelper-compat (= 13),
               decopy,
               devscripts,
               dh-python,
               dos2unix,
               gpg,
               librust-breezyshim-dev (>= 0.1.34),
               librust-chrono-dev (>= 0.4),
               librust-clap+cargo-dev (>= 4),
               librust-clap+derive-dev (>= 4),
               librust-clap+env-dev (>= 4),
               librust-clap+string-dev (>= 4),
               librust-clap+suggestions-dev (>= 4),
               librust-configparser-dev (>= 3.0.2),
               librust-debian-changelog-dev,
               librust-debversion-dev (>= 0.1.8),
               librust-distro-info-dev (>= 0.4.0),
               librust-env-logger-dev (>= 0.9),
               librust-indicatif-dev (>= 0.17),
               librust-lazy-regex-dev (>= 2),
               librust-lazy-static-dev (>= 1.4),
               librust-log-dev (>= 0.4),
               librust-maplit-dev (>= 1),
               librust-pyo3+auto-initialize-dev (>= 0.20),
               librust-pyo3+chrono-dev (>= 0.20),
               librust-pyo3-file-dev,
               librust-pyo3+serde-dev (>= 0.20),
               librust-pyo3-log-dev,
               librust-reqwest+blocking-dev (>= 0.11),
               librust-serde+derive-dev (>= 1),
               librust-serde-json-dev (>= 1),
               librust-serde-yaml-dev (>= 0.8),
               librust-tempfile-dev (>= 3),
               librust-url+serde-dev (>= 2),
               librust-xdg-dev,
               librust-xz2-dev (>= 0.1),
               lintian (>= 2.105.0),
               ognibuild (>= 0.0.18),
               po-debconf,
               pybuild-plugin-pyproject,
               python3-all,
               python3-breezy (>= 3.3.1~),
               python3-breezy.tests,
               python3-bs4,
               python3-debian,
               python3-debmutate (>= 0.67),
               python3-distro-info,
               python3-docutils,
               python3-dulwich,
               python3-iniparse,
               python3-iso8601,
               python3-levenshtein,
               python3-lxml,
               python3-markdown,
               python3-pyinotify [linux-any],
               python3-ruamel.yaml,
               python3-semver,
               python3-setuptools,
               python3-setuptools-rust,
               python3-tomlkit,
               python3-tqdm,
               python3-upstream-ontologist (>= 0.1.34),
               rustc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
Homepage: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         python3-debian,
         python3-debmutate (>= 0.67),
         python3-distro-info,
         python3-dulwich,
         python3-iniparse,
         python3-iso8601,
         python3-ruamel.yaml,
         python3-tqdm,
         python3-upstream-ontologist (>= 0.1.34),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0),
            ognibuild (>= 0.0.18),
            python3-bs4,
            python3-docutils,
            python3-levenshtein,
            python3-lxml,
            python3-markdown,
            python3-psycopg2,
            python3-pyinotify,
            python3-semver,
            python3-tomlkit
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          gnome-pkg-tools,
          po-debconf,
          postgresql-common
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home
ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

%:
	dh $@ --with python3,bash_completion --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/lintian-brush/$(ZSH_COMPDIR)
	install -m644 debian/lintian-brush.zsh-completion \
	    debian/lintian-brush/$(ZSH_COMPDIR)/_lintian-brush

override_dh_auto_clean:
	for I in . lintian-brush-py; do if test -f $$I/Cargo.lock.saved; then mv $$I/Cargo.lock.saved $$I/Cargo.lock; fi; done
	dh_auto_clean

override_dh_auto_build:
	for I in . lintian-brush-py; do mv $$I/Cargo.lock $$I/Cargo.lock.saved; done
	dh_auto_build

override_dh_auto_test:
	make testsuite

=== tests/debhelper-tools-from-autotools-dev-are-deprecated/debhelper-compat/in/debian/rules ===
#!/usr/bin/make -f

configure-stamp:
	dh_autotools-dev_updateconfig
	./configure
	touch $@

dh:
	dh $* --with autotools-dev

clean:
	dh_blah
	dh_autotools-dev_restoreconfig
	dh_clean

=== tests/debhelper-tools-from-autotools-dev-are-deprecated/debhelper-compat/out/debian/rules ===
#!/usr/bin/make -f

configure-stamp:
	./configure
	touch $@

dh:
	dh $*

clean:
	dh_blah
	dh_clean

=== tests/debian-rules-missing-recommended-target/all/in/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

=== tests/debian-rules-missing-recommended-target/phony/in/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

.PHONY: clean

=== tests/debian-rules-parses-dpkg-parsechangelog/simple/in/debian/rules ===
#!/usr/bin/make -f

DEB_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | cut -d+ -f1)

%:
	dh $@

version:
	echo $(DEB_VERSION)

=== tests/obsolete-vim-addon-manager/simple/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=vim_addon

=== tests/typo-in-debhelper-override-target/jh-build/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

override_jh_build:
	jh_build lala

=== tests/unused-build-dependency-on-cdbs/used/in/debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/ant.mk

%:
	dh $*

=== debian/tests/control ===
Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

Test-Command: lintian-brush --version
Depends: @
Restrictions: allow-stderr

=== tests/binary-control-field-duplicates-source/multiple/in/debian/control ===
Source: blah
Section: net
Priority: optional

Package: blah
Section: net
Priority: optional
Description: blah
 blah

=== tests/debian-control-has-obsolete-dbg-package/nochange/in/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>, Theodore Y. Ts'o <tytso@mit.edu>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libblkid-dev,
 libselinux1-dev,
 pkg-config,
 uuid-dev
Standards-Version: 4.2.0
Homepage: http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git
Vcs-Browser: https://salsa.debian.org/debian/f2fs-tools.git
Vcs-Git: https://salsa.debian.org/debian/f2fs-tools.git

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

Package: libf2fs5
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core library for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).
 .
 This package contains the core f2fs library.

Package: libf2fs-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libf2fs5 (= ${binary:Version}), uuid-dev, ${misc:Depends}
Description: Core library for Flash-Friendly File System - Development files
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).
 .
 This package contains the development files.

Package: libf2fs-format4
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Format library for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).
 .
 This package contains the format f2fs library.

Package: libf2fs-format-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libf2fs-format4 (= ${binary:Version}), uuid-dev, ${misc:Depends}
Description: Core library for Flash-Friendly File System - Development files
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).
 .
 This package contains the development files.

Package: f2fs-tools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System (udeb)

=== tests/debian-rules-missing-recommended-target/any/in/debian/control ===
Source: blah
Section: net
Priority: optional
Maintainer: Joe Maintainer <joe@example.com>
Standards-Version: 3.9.8

Package: blah
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debianutils (>= 1.16)
Description: A package description
 This is description of an "any" package.

=== tests/homepage-field-uses-insecure-uri/simple/out/debian/control ===
Source: lintian-brush
Homepage: https://github.com/jelmer/lintian-brush

Package: lintian-brush
Description: Testing
 Test test

=== tests/invalid-standards-version/never-existed/in/debian/control ===
Source: blah
Standards-Version: 4.3.1

Package: blah

=== tests/no-maintainer-field/simple/out/debian/control ===
Source: foo
Maintainer: Joe <joe@example.com>

=== tests/no-priority-field/missing-priority/out/debian/control ===
Source: foo
Priority: optional

Package: blah

=== tests/package-has-no-description/readme/out/debian/control ===
Source: dulwich

Package: python3-dulwich
Depends: ${misc:Depends}
Description: This is blah
 BLAH is a C++ wrapper library around
 [Example](https://ww.example.com/) with the aim of supporting ISO
 191007:2013 and OGC Simple Features for 3D operations.
 .
 And here is some more information about it.

=== tests/package-needs-versioned-debhelper-build-depends/simple/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper (>= 12~),
 pkg-config,
 uuid-dev
Standards-Version: 4.2.0

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

=== tests/package-uses-deprecated-debhelper-compat-version/existing-build-depends-compat/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 uuid-dev
Standards-Version: 4.2.0

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

=== tests/pkg-js-tools-test-is-missing/simple/in/debian/control ===
Source: node-blah
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs

Package: node-blah

## lintian-brush 0.155

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)

default: check

.PHONY: build

build:
	./setup.py build_ext -i

check:: testsuite tag-status ruff

FIXERS = $(patsubst fixers/%.sh,%,$(wildcard fixers/*.sh)) $(patsubst fixers/%.py,%,$(wildcard fixers/*.py))

$(patsubst %,check-fixer-%,$(FIXERS)): check-fixer-%:
	PYTHONPATH=$(PWD):$(PYTHONPATH) python3 -m lintian_brush.tests.fixers --fixer=$*

.PHONY: ruff testsuite unsupported

ruff::
	ruff check .

typing:: build
	mypy lintian_brush fixers

tag-status::
	python3 tag-status.py --check

testsuite:: build
	python3 -m unittest lintian_brush.tests.test_suite

testsuite-core: build
	python3 -m unittest lintian_brush.tests.core_test_suite

README.md::
	PYTHONPATH=$(PWD):$(PYTHONPATH) ./buildtools/update-readme.py

lintian-tags:
	lintian-explain-tags --list-tags > lintian-tags

.PHONY: lintian-tags lintian-brush-tags

lintian-brush-tags:
	PYTHONPATH=$(PWD):$(PYTHONPATH) python3 -m lintian_brush --list-tags 2> lintian-brush-tags

unsupported: lintian-tags lintian-brush-tags
	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags

update-readme:
	brz diff README.md
	$(MAKE) README.md
	brz diff README.md || brz commit -m "Update list of fixers in README.md" README.md

release: check update-readme
	./setup.py sdist
	twine upload --sign dist/lintian-brush-$(VERSION).tar.gz

update-spdx:
	python3 download-license-data.py > spdx.json
	brz diff spdx.json || brz commit -m "Update SPDX license data" spdx.json

update-key-package-versions:
	python3 key-package-versions.py
	brz diff key-package-versions.json || brz commit -m "Update key package versions" key-package-versions.json

update-renamed-tags:
	python3 renamed-tags.py
	brz diff renamed-tags.json || brz commit -m "Update renamed tags" renamed-tags.json

update: update-spdx update-readme update-renamed-tags update-key-package-versions

next:
	python3 next.py

docker:
	buildah build -t ghcr.io/jelmer/lintian-brush:latest Dockerfile.lintian-brush .
	buildah push ghcr.io/jelmer/lintian-brush:latest
	buildah build -t ghcr.io/jelmer/deb-scrub-obsolete:latest Dockerfile.deb-scrub-obsolete .
	buildah push ghcr.io/jelmer/deb-scrub-obsolete:latest
	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
	buildah push ghcr.io/jelmer/debianize:latest
	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
	buildah push ghcr.io/jelmer/debianize:latest

=== debian/changelog ===
lintian-brush (0.155) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Bump pyo3 dependency to 0.20, fixing FTBFS. Closes: #1061435

  [ Peter Michael Green ]
  * Add missing build-dependency on librust-pyo3-file-dev

  [ Jelmer Vernooĳ ]
  * When removing calls to deprecated dh_autotools-dev_updateconfig,
    substitute dh_update_autotools_config. Closes: #1071554

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 07 Jun 2024 13:26:47 +0100

lintian-brush (0.154) unstable; urgency=medium

  * Add manpages for deb-vcs-publish, fix-watch-file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Nov 2023 13:30:41 +0000

=== tests/source-format/missing-native/in/debian/changelog ===
lintian-brush (0.1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 28 Oct 2018 00:09:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lintian-brush
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
+Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: bash-completion,
                debhelper (>= 13.5),
                debhelper-compat (= 13),
@@ -11,7 +10,7 @@
                dh-python,
                dos2unix,
                gpg,
-               librust-breezyshim-dev (>= 0.1.34),
+               librust-breezyshim-dev (>= 0.1.81),
                librust-chrono-dev (>= 0.4),
                librust-clap+cargo-dev (>= 4),
                librust-clap+derive-dev (>= 4),
@@ -20,6 +19,9 @@
                librust-clap+suggestions-dev (>= 4),
                librust-configparser-dev (>= 3.0.2),
                librust-debian-changelog-dev,
+               librust-debian-control-dev,
+               librust-debian-copyright-dev,
+               librust-dep3-dev,
                librust-debversion-dev (>= 0.1.8),
                librust-distro-info-dev (>= 0.4.0),
                librust-env-logger-dev (>= 0.9),
@@ -27,12 +29,14 @@
                librust-lazy-regex-dev (>= 2),
                librust-lazy-static-dev (>= 1.4),
                librust-log-dev (>= 0.4),
+               librust-makefile-lossless-dev,
                librust-maplit-dev (>= 1),
+               librust-patchkit-dev,
                librust-pyo3+auto-initialize-dev (>= 0.20),
                librust-pyo3+chrono-dev (>= 0.20),
-               librust-pyo3-file-dev,
                librust-pyo3+serde-dev (>= 0.20),
                librust-pyo3-log-dev,
+               librust-pyo3-file-dev (>= 0.5),
                librust-reqwest+blocking-dev (>= 0.11),
                librust-serde+derive-dev (>= 1),
                librust-serde-json-dev (>= 1),

=== tests/debian-rules-uses-as-needed-linker-flag/multiple-wl-args/in/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed,-z,relno

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== tests/debian-control-has-unusual-field-spacing/simple/in/debian/control ===
Source: blah
Section: utils
Priority: extra
Maintainer: Example <example@example.com>
Build-Depends: cdbs (>= 0.4.123~),
  anotherline

Package: 4store
Architecture: any
Recommends:  ${cdbs:Recommends}
Depends:
 blah1
 blah2
Description: blah
 blah
 .
 blah

=== tests/debian-watch-uses-insecure-uri/simple/in/debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://ftp.gnu.org/gnu/acct/acct-(.*)\.tar\.gz debian uupdate

=== tests/field-name-typo-in-control/multi/in/debian/control ===
Source: blah
VCS-Git: https://salsa.debian.org/blah.git
VCS-Browser: https://salsa.debian.org/blah

=== tests/field-name-typo-in-control/multi/out/debian/control ===
Source: blah
Vcs-Git: https://salsa.debian.org/blah.git
Vcs-Browser: https://salsa.debian.org/blah

=== tests/missing-build-dependency-for-dh_-command/simple/in/debian/control ===
Source: blah
Build-Depends: libc6-dev

Package: python3-blah
Description: blah blah
 blah

=== tests/missing-vcs-browser-field/simple/in/debian/control ===
Source: lintian-brush
Vcs-Git: git://github.com/jelmer/lintian-brush

Package: lintian-brush
Description: Testing
 Test test

=== tests/no-priority-field/common-priority/in/debian/control ===
Source: foo

Package: foo
Priority: optional

Package: foo-doc
Priority: optional

=== tests/obsolete-runtime-tests-restriction/simple/in/debian/tests/control ===
Tests: prove
Depends: @, @builddeps@

Tests: adequate
Depends: @, adequate
Restrictions: needs-recommends

=== tests/obsolete-vim-addon-manager/simple/in/debian/control ===
Source: vim-blah
Section: editors
Priority: optional
Maintainer: Joe Example <joe@example.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0

Package: vim-blah
Architecture: all
Depends: ${misc:Depends}, vim, vim-addon-manager
Description: Blah blah
 blah

=== tests/pkg-perl-vcs/not-perl/in/debian/control ===
Source: blah
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/jelmer/blah

Package: blah
Description: dummy package

=== tests/quilt-series-but-no-build-dep/3.0-quilt/in/debian/control ===
Source: blah
Maintainer: Joe Example <joe@example.com>
Build-Depends: debhelper

Package: blah
Description: blah blah
 Blah blah

=== tests/unused-build-dependency-on-cdbs/simple/in/debian/control ===
Source: blah
Build-Depends: cdbs, debhelper

Package: blah
Description: blah blah
 blah

## lintian-brush 0.157

=== Makefile ===
--- 
+++ 
@@ -17,19 +17,19 @@
 .PHONY: ruff testsuite unsupported
 
 ruff::
-	ruff check .
+	ruff check py/ fixers/
 
 typing:: build
-	mypy lintian_brush fixers
+	mypy py/ fixers/
 
 tag-status::
-	python3 tag-status.py --check
+	PYTHONPATH=$(shell pwd)/py python3 tag-status.py --check
 
 testsuite:: build
-	python3 -m unittest lintian_brush.tests.test_suite
+	PYTHONPATH=$(shell pwd)/py python3 -m unittest lintian_brush.tests.test_suite
 
 testsuite-core: build
-	python3 -m unittest lintian_brush.tests.core_test_suite
+	PYTHONPATH=$(shell pwd)/py python3 -m unittest lintian_brush.tests.core_test_suite
 
 README.md::
 	PYTHONPATH=$(PWD):$(PYTHONPATH) ./buildtools/update-readme.py

=== debian/changelog ===
lintian-brush (0.157) unstable; urgency=medium

  * Bump breezyshim to latest version.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Jun 2024 19:49:00 +0100

lintian-brush (0.156) unstable; urgency=medium

  * Re-arrange directories to allow publishing individual crates.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Jun 2024 23:28:42 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-python,
                dos2unix,
                gpg,
-               librust-breezyshim-dev (>= 0.1.81),
+               librust-breezyshim-dev (>= 0.1.101),
                librust-chrono-dev (>= 0.4),
                librust-clap+cargo-dev (>= 4),
                librust-clap+derive-dev (>= 4),
@@ -36,7 +36,6 @@
                librust-pyo3+chrono-dev (>= 0.20),
                librust-pyo3+serde-dev (>= 0.20),
                librust-pyo3-log-dev,
-               librust-pyo3-file-dev (>= 0.5),
                librust-reqwest+blocking-dev (>= 0.11),
                librust-serde+derive-dev (>= 1),
                librust-serde-json-dev (>= 1),

=== tests/binary-control-field-duplicates-source/multiple/out/debian/control ===
Source: blah
Section: net
Priority: optional

Package: blah
Description: blah
 blah

=== tests/binary-control-field-duplicates-source/simple/out/debian/control ===
Source: blah
Section: net
Priority: optional

Package: blah
Section: vcs
Description: blah
 blah

=== tests/invalid-standards-version/too-new/in/debian/control ===
Source: blah
Standards-Version: 99.99.99

Package: blah

=== tests/orphaned-package-should-not-have-uploaders/simple/in/debian/control ===
Source: lintian-brush
Maintainer: Debian QA Team <packages@qa.debian.org>
Uploaders: Somebody <somebody@example.com>

=== tests/python-teams-merged/simple/in/debian/control ===
Source: foo
Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>

## lintian-brush 0.159

=== debian/changelog ===
lintian-brush (0.159) unstable; urgency=medium

  * Add fixer for dep3-format-patch-author-or-from-is-better
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Nov 2024 13:29:46 +0000

lintian-brush (0.158) experimental; urgency=medium

  * Bump pyo3 to 0.22.
  * Drop dependency on dead python3-pyinotify. Closes: #1075953
  * Add hint about misisng Python package when it can't be found.
  * Rebuild against python 3.12. Closes: #1076706
  * Support newer clap. Closes: #1082363
  * When running fixers, restrict how long they can be running.
    Closes: #1076245

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Jun 2024 15:44:16 +0100

## lintian-brush 0.160

=== debian/changelog ===
lintian-brush (0.160) unstable; urgency=medium

  * Fix installing of fixers. Closes: #1090831

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Dec 2024 21:19:06 +0000

## lintian-brush 0.160build1

=== debian/changelog ===
lintian-brush (0.160build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:44:32 +0100

=== lintian-brush/tests/debian-source-options-has-custom-compression-settings/override/in/debian/changelog ===
debootstrap (0.1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Feb 2022 22:41:08 +0000

=== lintian-brush/tests/missing-prerequisite-for-pyproject-backend/simple/out/debian/control ===
Source: foo
Build-Depends: python3, python3-setuptools

## lintian-brush 0.160build2

=== lintian-brush/Makefile ===
tag-status:
	PYTHONPATH=$(shell pwd)/../py python3 tag-status.py --check

update-renamed-tags:
	python3 lintian-brush/renamed-tags.py
	brz diff lintian-brush/renamed-tags.json || brz commit -m "Update renamed tags" lintian-brush/renamed-tags.json

next:
	PYTHONPATH=$(shell pwd)/../py python3 next.py

=== debian/changelog ===
lintian-brush (0.160build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:07:51 +0000

=== lintian-brush/tests/ancient-maintscript-entry/not-outdated/in/debian/changelog ===
blah (0.1-2) UNRELEASED; urgency=medium

  * New release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Mar 2021 16:47:42 +0000

blah (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Mar 2021 16:47:31 +0000

=== lintian-brush/tests/initial-upload-closes-no-bugs/missing/in/debian/changelog ===
test (0.1-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 13 May 2022 19:31:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,10 @@
                dh-python,
                dos2unix,
                gpg,
+               librust-async-trait-dev,
+               librust-breezyshim+dirty-tracker-dev (>= 0.1.101),
                librust-breezyshim-dev (>= 0.1.101),
+               librust-buildlog-consultant-dev,
                librust-chrono-dev (>= 0.4),
                librust-clap+cargo-dev (>= 4),
                librust-clap+derive-dev (>= 4),
@@ -18,30 +21,41 @@
                librust-clap+string-dev (>= 4),
                librust-clap+suggestions-dev (>= 4),
                librust-configparser-dev (>= 3.0.2),
-               librust-debian-changelog-dev,
-               librust-debian-control-dev,
-               librust-debian-copyright-dev,
+               librust-debian-analyzer-dev (>= 0.158.18),
+               librust-debian-changelog-dev (>= 0.2),
+               librust-debian-control-dev (>= 0.1.38),
+               librust-debian-copyright-dev (>= 0.1.27),
+               librust-debversion-dev (>= 0.1.8),
                librust-dep3-dev,
-               librust-debversion-dev (>= 0.1.8),
                librust-distro-info-dev (>= 0.4.0),
                librust-env-logger-dev (>= 0.9),
+               librust-flate2-dev,
+               librust-fs-extra-dev,
+               librust-humantime-dev,
                librust-indicatif-dev (>= 0.17),
                librust-lazy-regex-dev (>= 2),
                librust-lazy-static-dev (>= 1.4),
                librust-log-dev (>= 0.4),
                librust-makefile-lossless-dev,
                librust-maplit-dev (>= 1),
+               librust-merge3-dev,
+               librust-ognibuild-dev,
                librust-patchkit-dev,
-               librust-pyo3+auto-initialize-dev (>= 0.20),
-               librust-pyo3+chrono-dev (>= 0.20),
-               librust-pyo3+serde-dev (>= 0.20),
+               librust-pyo3+auto-initialize-dev (>= 0.22),
+               librust-pyo3+chrono-dev (>= 0.22),
+               librust-pyo3+serde-dev (>= 0.22),
                librust-pyo3-log-dev,
                librust-reqwest+blocking-dev (>= 0.11),
                librust-serde+derive-dev (>= 1),
                librust-serde-json-dev (>= 1),
                librust-serde-yaml-dev (>= 0.8),
+               librust-serial-test-dev (>= 0.2),
+               librust-svp-client-dev,
                librust-tempfile-dev (>= 3),
+               librust-tokio-dev,
+               librust-toml-edit-dev,
                librust-url+serde-dev (>= 2),
+               librust-wait-timeout-dev,
                librust-xdg-dev,
                librust-xz2-dev (>= 0.1),
                lintian (>= 2.105.0),
@@ -55,21 +69,16 @@
                python3-debian,
                python3-debmutate (>= 0.67),
                python3-distro-info,
-               python3-docutils,
                python3-dulwich,
                python3-iniparse,
                python3-iso8601,
                python3-levenshtein,
-               python3-lxml,
-               python3-markdown,
-               python3-pyinotify [linux-any],
                python3-ruamel.yaml,
                python3-semver,
                python3-setuptools,
                python3-setuptools-rust,
                python3-tomlkit,
-               python3-tqdm,
-               python3-upstream-ontologist (>= 0.1.34),
+               python3-upstream-ontologist (>= 0.1.42),
                rustc
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -88,7 +97,6 @@
          python3-iniparse,
          python3-iso8601,
          python3-ruamel.yaml,
-         python3-tqdm,
          python3-upstream-ontologist (>= 0.1.34),
          ${misc:Depends},
          ${python3:Depends},
@@ -100,12 +108,8 @@
             lintian (>= 2.105.0),
             ognibuild (>= 0.0.18),
             python3-bs4,
-            python3-docutils,
             python3-levenshtein,
-            python3-lxml,
-            python3-markdown,
             python3-psycopg2,
-            python3-pyinotify,
             python3-semver,
             python3-tomlkit
 Suggests: brz-debian (>= 2.8.66),

=== lintian-brush/tests/debian-control-has-obsolete-dbg-package/simple/out/debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog | \
			  sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-root-libdir=/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	find $(CURDIR) -name "*.la" -delete
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='f2fs-tools-dbg (<< 1.0-1~)'

get-orig-source:
	wget http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz
	mv f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz f2fs-tools_$(DEB_UPSTREAM_VERSION).orig.tar.xz

override_dh_shlibdeps:
	dh_shlibdeps -a -p f2fs-tools-udeb -- -xlibf2fs5 -xlibf2fs-format4
	dh_shlibdeps -a -N f2fs-tools-udeb

=== lintian-brush/tests/debian-rules-contains-unnecessary-get-orig-source-target/uscan-phony-last/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	uscan --verbose

.PHONY: get-orig-source

override_dh_install:
	dh_install --blah

=== lintian-brush/tests/debian-rules-contains-unnecessary-get-orig-source-target/uscan-phony/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

.PHONY: override_dh_install

override_dh_install:
	dh_install --blah

=== lintian-brush/tests/debian-rules-missing-recommended-target/partial/in/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

build-indep: build

=== lintian-brush/tests/debian-rules-missing-recommended-target/phony/out/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

.PHONY: clean build-indep build-arch

build-indep: build

build-arch:

=== lintian-brush/tests/debian-rules-sets-dpkg-architecture-variable/opinionated-more-manipulation/out/debian/rules ===
#! /usr/bin/make -f

CONFIGURE_FLAGS := \
	--disable-fem-toolbox \
	--without-gpskca \
	--without-OpenGL \
	--without-gltools \
	--without-OpenDX \
	--without-grape \
	--without-silo

include /usr/share/dpkg/architecture.mk
DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS | tr '[:lower:]' '[:upper:]')
ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
  export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
  CONFIGURE_FLAGS += CC=clang
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=libalberta-dbg

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/last/out/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/split/out/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/dupe-installsystemd/in/debian/rules ===
all:
	dh_clean -k
	dh --with=systemd,blah --buildsystem=python_distutils

override_dh_systemd_start:
	dh_systemd_start -pracoon

override_dh_systemd_enable:
	dh_systemd_enable -pracoon

=== lintian-brush/tests/build-depends-on-obsolete-package/dh-systemd-debhelper-uptodate/out/debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10), quilt (>= 0.40),
	libsystemd-dev [linux-any], pkg-config

Package: acpi-support
Architecture: all
Depends: acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4),
	lsb-base (>= 1.3-9), pm-utils, ${arch:Depends},
	${misc:Depends}
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.
 .
 Besides some system tools acpi-support recommends vbetool to be able to power
 off the screen and some screensavers to be able to lock the screen on lid
 close.

=== lintian-brush/tests/built-using-for-golang/add/out/debian/control ===
Source: blah
Architecture: any
Build-Depends: golang-go

Package: blah
Built-Using: ${misc:Built-Using}
Description: blah
 blah

=== lintian-brush/tests/debian-tests-control-autodep8-is-obsolete/rename/out/debian/tests/control ===
Tests: testsuite2
Depends: blah
Restrictions: allow-stderr

=== lintian-brush/tests/debian-watch-file-uses-deprecated-githubredir/only-comment/in/debian/watch ===
# Upstream doesn't publish tarballs

=== lintian-brush/tests/debian-watch-file-uses-old-github-pattern/multi-tarball/in/debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=auto https://github.com/n-riesco/ijavascript/tags .*/archive/v?([\d\.]+).tar.gz group
opts=component=jmp,filenamemangle=s/^.*\/([^\/]*)$/jmp-$1/ https://github.com/n-riesco/jmp/tags .*/archive/v?([\d\.]+).tar.gz checksum
opts=component=jp-kernel,filenamemangle=s/^.*\/([^\/]*)$/jp-kernel-$1/ https://github.com/n-riesco/jp-kernel/tags .*/archive/v?([\d\.]+).tar.gz checksum
opts=component=nel,filenamemangle=s/^.*\/([^\/]*)$/nel-$1/ https://github.com/n-riesco/nel/tags .*/archive/v?([\d\.]+).tar.gz checksum

=== lintian-brush/tests/debian-watch-file-uses-old-github-pattern/tags/out/debian/watch ===
version=4
https://github.com/jupyter/jupyter_core/tags .*/archive/refs/tags/(.*)\.tar\.gz

=== lintian-brush/tests/declares-possibly-conflicting-debhelper-compat-versions/compat-file/in/debian/control ===
Source: blah
Build-Depends: debhelper-compat (= 10)

Package: blah

=== lintian-brush/tests/extended-description-contains-empty-paragraph/head/out/debian/control ===
Source: blah

Package: blah
Description: This is a package
 But it starts with an empty paragraph.
 .
 And then more.

=== lintian-brush/tests/field-name-typo-in-control/source/in/debian/control ===
Source: blah
HomePage: https://www.example.com/

=== lintian-brush/tests/invalid-standards-version/missing-zero/out/debian/control ===
Source: blah
Standards-Version: 4.3.0

Package: blah

=== lintian-brush/tests/libmodule-build-perl-needs-to-be-in-build-depends/simple/in/debian/control ===
Source: libtest-mock-guard-perl
Section: perl
Priority: optional
Maintainer: Joe Maintainer <joe@example.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libclass-load-perl (>= 0.06)
 , libmodule-build-perl
 , perl
Standards-Version: 3.9.6

Package: libtest-mock-guard-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
 , libclass-load-perl (>= 0.06)
Description: Simple mock test library
 A mock test library.

=== lintian-brush/tests/no-priority-field/missing-priority/in/debian/control ===
Source: foo

Package: blah
